;=======================================
;  CVASM16 INCLUDE FILE for the 16CR54
;      Copyright (c) 2000 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - ALPHA release 7/21/00
;=======================================

                     DEVCODE    00054h      
                     ROMSIZE    512         
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    0           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
PA2                  EQU        STATUS.7    
PA1                  EQU        STATUS.6    
PA0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_CP_ON               EQU        0FF7h       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FFBh       
_LP_OSC              EQU        0FFCh       
_XT_OSC              EQU        0FFDh       
_HS_OSC              EQU        0FFEh       
_RC_OSC              EQU        0FFFh       
