;=======================================
;  CVASM16 INCLUDE FILE for the 16C505
;      Copyright (c) 2000 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - ALPHA release 7/21/00
;=======================================

                     DEVCODE    00505h      
                     ROMSIZE    1024        
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    1           
                     MAXTRIS    0007        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
OSCCAL               EQU        0005h       
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
RBWUF                EQU        STATUS.7    
PA0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  OSCCAL Register BIT Definitions 
;=======================================
CAL5                 EQU        OSCCAL.7    
CAL4                 EQU        OSCCAL.6    
CAL3                 EQU        OSCCAL.5    
CAL2                 EQU        OSCCAL.4    
CAL1                 EQU        OSCCAL.3    
CAL0                 EQU        OSCCAL.2    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_MCLRE_ON            EQU        0FFFh       
_MCLRE_OFF           EQU        0FDFh       
_CP_ON               EQU        002Fh       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FF7h       
_LP_OSC              EQU        0FF8h       
_XT_OSC              EQU        0FF9h       
_HS_OSC              EQU        0FFAh       
_IntRC_OSC_RB4EN     EQU        0FFCh       
_IntRC_OSC_CLKOUTEN  EQU        0FFDh       
_ExtRC_OSC_RB4EN     EQU        0FFEh       
_ExtRC_OSC_CLKOUTEN  EQU        0FFFh       
